/*
 * Value_atom.hpp
 *
 *  Created on: Sep 11, 2014
 *      Author: heber
 */

#ifndef VALUE_ATOM_HPP_
#define VALUE_ATOM_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <string>

#include "Parameters/Value.hpp"

// This overrides string conversions for the type atom which need a specific function call.

template <>
bool Value<const atom *>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException);

template <>
const std::string Value<const atom *>::getAsString() const throw(ParameterValueException);

template <>
void Value<const atom *>::setAsString(const std::string &_value) throw(ParameterException);


#endif /* VALUE_ATOM_HPP_ */
