/*
 * Value_molecule.hpp
 *
 *  Created on: Sep 11, 2014
 *      Author: heber
 */

#ifndef VALUE_MOLECULE_HPP_
#define VALUE_MOLECULE_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <string>

#include "Parameters/Value.hpp"

// This overrides string conversions for the type molecule which need a specific function call.

template <>
bool Value<const molecule *>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException);

template <>
const std::string Value<const molecule *>::getAsString() const throw(ParameterValueException);

template <>
void Value<const molecule *>::setAsString(const std::string &_value) throw(ParameterException);


#endif /* VALUE_MOLECULE_HPP_ */
